Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class IncludeScript

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.IncludeScript

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class IncludeScript

extends org.eclipse.birt.report.model.core.Structure

This class represents a include script. The class gives the file name of the include script. Used when a report design `ReportDesign`gives a file name of include script in the report design. Each script in report design has the following properties:

File Name
  a include script structure in the report design has a required file name to load the script.

Field Summary
`static java.lang.String` | `FILE_NAME_MEMBER` Name of the "file-name" property.
`protected java.lang.String` | `fileName` Value of the file name property.
`static java.lang.String` | `INCLUDE_SCRIPT_STRUCT` Name of this structure.

Constructor Summary
`IncludeScript()` Default constructor.
`IncludeScript(java.lang.String fileName)` Constructs the script with the required file name.

Method Summary
`java.lang.String` | `getFileName()` Returns file name of the script.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`void` | `setFileName(java.lang.String fileName)` Sets the file name of the script.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validate whether this structure is valid.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDE_SCRIPT_STRUCT

    public static final java.lang.String INCLUDE_SCRIPT_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### FILE_NAME_MEMBER

    public static final java.lang.String FILE_NAME_MEMBER

  Name of the "file-name" property.

  See Also:
    Constant Field Values

### fileName

    protected java.lang.String fileName

  Value of the file name property.

Constructor Detail

### IncludeScript

    public IncludeScript()

  Default constructor.

### IncludeScript

    public IncludeScript(java.lang.String fileName)

  Constructs the script with the required file name.

  Parameters:
    `fileName` - file name of the script

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### getFileName

    public java.lang.String getFileName()

  Returns file name of the script.

  Returns:
    file name of the script

### setFileName

    public void setFileName(java.lang.String fileName)

  Sets the file name of the script.

  Parameters:
    `fileName` - the file name to set

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `module` - the module
    `element` - the element contains this structure
  Returns:
    the semantic error list

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.